Bug 84405 - TRACK CHANGES: New icons for the changes toolbar
Summary: TRACK CHANGES: New icons for the changes toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2014-09-27 21:49 UTC by Yousuf Philips (jay)
Modified: 2014-12-20 22:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
first draft of icons (11.49 KB, image/png)
2014-09-27 21:49 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-09-27 21:49:22 UTC
Created attachment 106973 [details]
first draft of icons

As a continuation of bug 83955, I have created a new set of large tango icons for the track changes toolbar.

Discussion of these icons has been happening in redmine < https://redmine.documentfoundation.org/boards/1/topics/152 >.
Comment 1 A (Andy) 2014-09-27 22:39:38 UTC
I don't know maybe somebody has a further suggestion and improvement for these icons.  I don't have that right now.  I like this first set of icons very much.  Looks really good.  
The old REVIEW CHANGES function needed a big revision and improvement.  With the work and effort of Jay, Joel, Samuel and others it is getting better and better.
Thanks for taking care of this issue.  I hope in the future we will also get in addition the split screen feature.
Comment 2 Yousuf Philips (jay) 2014-09-29 01:54:46 UTC
Icons were finalized today as can be seen here < https://redmine.documentfoundation.org/attachments/download/239/track%20changes%20icon%20set%202.png >

Patch has been pushed - https://gerrit.libreoffice.org/#/c/11681/
Comment 3 Commit Notification 2014-09-30 09:19:55 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f178c2c68d51087e0f348f3abbc131baeded8ccd

fdo#84405 TRACK CHANGES: New icons for the changes toolbar



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Adolfo Jayme 2014-10-19 05:50:02 UTC
I know you prefer large icons, but this isn’t fixed until you provide the small ones for the Small Tango theme, which is more complete.
Comment 5 Yousuf Philips (jay) 2014-10-19 09:44:05 UTC
As i know you prefer small icons, here is the patch.
https://gerrit.libreoffice.org/#/c/12033/
Comment 6 Adolfo Jayme 2014-10-21 13:29:05 UTC
Now the improvement is complete, thanks!
Comment 7 Mike §chinagl 2014-12-20 21:33:52 UTC
This bug fix comes with LibreOffice 4.4 (release notes  https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

Inclusion of new buttons in the Track Changes toolbar, along with a new set of icons.

See a graphic of the work:
https://wiki.documentfoundation.org/File:Changes_toolbar.png
Comment 8 Eyal Rozenberg 2014-12-20 22:04:36 UTC
Thank you everyone for the nice work on the icons and the toolbar :-)